Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.phonon
Class Phonon

    java.lang.Object
      com.trolltech.qt.phonon.Phonon

    public class Phonon

extends java.lang.Object

Author. Matthias Kretz <kretz@kde. rg>The Phonon namespace contains classes and functions for multimedia applications. This namespace contains classes to access multimedia functions for audio and video playback. Those classes are not dependent on any specific framework, but rather use exchangeable backends to do the work.

See the Phonon Module page for general information about the framework.

Nested Class Summary
`static class` | `Phonon.Category`
`static class` | `Phonon.DiscType` Enum to identify the media discs supported by `MediaObject`.
`static class` | `Phonon.ErrorType` This enum type describes the context in which the error occurred, e.g., a connection error, a statement error, etc.
`static class` | `Phonon.MetaData` Provided as keys for `Phonon::MediaObject::metaData()`.
`static class` | `Phonon.ObjectDescriptionType` This enum defines the type of information that is contained in a ObjectDescription object.
`static class` | `Phonon.State` This enum describes the state of a window.

Constructor Summary
`Phonon()`

Method Summary
`static java.lang.String` | `categoryToString(Phonon.Category c)` Returns a (translated) string to show to the user identifying the given Category (`c`).
`static Path` | `createPath(MediaNodeInterface source, MediaNodeInterface sink)` Creates a new Path connecting the two MediaNodes `source` and `sink`.
`static MediaObject` | `createPlayer(Phonon.Category category)` Convenience function to create a `MediaObject` and `AudioOutput` connected by a path.
`static MediaObject` | `createPlayer(Phonon.Category category, MediaSource source)` Convenience function to create a `MediaObject` and `AudioOutput` connected by a path.
`java.lang.String` | `phononVersion()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Phonon

    public Phonon()

Method Detail

### categoryToString

    public static java.lang.String categoryToString(Phonon.Category c)

  Returns a (translated) string to show to the user identifying the given Category (`c`).

### createPath

    public static Path createPath(MediaNodeInterface source,
                                  MediaNodeInterface sink)

  Creates a new Path connecting the two MediaNodes `source` and `sink`.

  The implementation will automatically select the right format and media type. E.g. connecting a `MediaObject` and `AudioOutput` will create a Path object connecting the audio. This might be represented as PCM or perhaps even AC3 depending on the `AudioOutput` object.

  source The `MediaNode` to connect an output from sink The `MediaNode` to connect to.

### createPlayer

    public static MediaObject createPlayer(Phonon.Category category)

  Convenience function to create a `MediaObject` and `AudioOutput` connected by a path. The `MediaObject` return will have `source` set as its current source and the specified `category`.

### createPlayer

    public static MediaObject createPlayer(Phonon.Category category,
                                           MediaSource source)

  Convenience function to create a `MediaObject` and `AudioOutput` connected by a path. The `MediaObject` return will have `source` set as its current source and the specified `category`.

### phononVersion

    public java.lang.String phononVersion()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD